%global modname vobject
%global sum A python library for manipulating vCard and vCalendar files


Name:           python-vobject
Version:        0.9.8
Release:        1%{?dist}
Summary:        %{sum}

License:        Apache-2.0
URL:            https://py-vobject.github.io/
Source0:        https://pypi.python.org/packages/source/v/vobject/%{modname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  git


%description
VObject is intended to be a full featured python library for parsing and
generating vCard and vCalendar files.


%package -n         python3-%{modname}
Summary:            %{sum}

Requires:           python3-dateutil
Requires:           python3-setuptools
BuildRequires:      python3-devel
BuildRequires:      python3-setuptools
BuildRequires:      python3-dateutil
BuildRequires:      python3-pytz

%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-vobject
VObject is intended to be a full featured python library for parsing and
generating vCard and vCalendar files.


%prep
%autosetup -n %{modname}-%{version} -p1
sed -i -e 's| == 2.4.0||' setup.py
rm vobject/win32tz.py

%build
%py3_build


%install
%py3_install


%check

# Currently failing
%{__python3} setup.py test


%files -n python3-%{modname}
%doc README.md
# ACKNOWLEDGEMENTS.txt
#%license LICENSE-2.0.txt
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}-*
%{_bindir}/change_tz
%{_bindir}/ics_diff


%changelog
* Mon Oct 07 2024 Peter Bieringer <pb@bieringer.de> - 0.9.8-1
- initial for epel10 (rhbz#2320895)
